This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 871629 - Review Request: xword - Reads and writes crossword puzzles in the Across Lite file format
Review Request: xword - Reads and writes crossword puzzles in the Across Lite...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
: xword (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-30 17:59 EDT by Ankur Sinha (FranciscoD)
Modified: 2012-12-03 23:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:47:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
robinlee.sysu: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-10-30 17:59:49 EDT
Spec URL: http://ankursinha.fedorapeople.org/xword/xword.spec
SRPM URL: http://ankursinha.fedorapeople.org/xword/xword-1.0-1.fc17.src.rpm

Description: 
Xword is a GTK program that works well for doing crossword puzzles in the
Across Lite file format used by The New York Times and others. As well as a
clock, it supports printing. It also auto-saves puzzles as you solve them so
that you can return to partially completed puzzles.

Fedora Account System Username: ankursinha

F17 package here: 

http://ankursinha.fedorapeople.org/xword/xword-1.0-1.fc17.noarch.rpm
Comment 1 Ankur Sinha (FranciscoD) 2012-10-30 18:00:25 EDT
*** Bug 470155 has been marked as a duplicate of this bug. ***
Comment 2 Robin Lee 2012-10-30 22:34:47 EDT
Upstream seems inactive for half a decade. Do you really want to maintain the package for Fedora?
Comment 3 Ankur Sinha (FranciscoD) 2012-10-30 22:56:18 EDT
I know. The software, though, is simple and works. Not a lot of updates required IMO. It's only one python file, so shouldn't be much of an issue.

Ankur
Comment 4 Robin Lee 2012-10-30 23:01:30 EDT
Ok. I hope you can take this https://bugzilla.redhat.com/show_bug.cgi?id=864315
Comment 5 Robin Lee 2012-10-30 23:43:00 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

Comments:
=========
[x]: Scriptlets must be sane, if used.
     Note: It is better to follow the exact scriptlets recommended in
     http://fedoraproject.org/wiki/Packaging:ScriptletSnippets

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: xword-1.0-1.fc19.src.rpm
          xword-1.0-1.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xword
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
xword-1.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /usr/bin/python  
    gnome-python2-gnomeprint  
    pygtk2  



Provides
--------
xword-1.0-1.fc19.noarch.rpm:
    
    mimehandler(application/x-crossword)  
    xword = 1.0-1.fc19



SHA256-sum check
-------------
http://x-word.org/xword-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 77bec223351173acb194a293299dcbf6668ec72b799480564ade84499625dc85
  CHECKSUM(SHA256) upstream package : 77bec223351173acb194a293299dcbf6668ec72b799480564ade84499625dc85


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 871629
Comment 6 Ankur Sinha (FranciscoD) 2012-10-31 00:59:16 EDT
Hi,

http://ankursinha.fedorapeople.org/xword/xword.spec

http://ankursinha.fedorapeople.org/xword/xword-1.0-2.fc17.src.rpm

Corrected issues outlined above.

Can you please set the review flag to "?" as required, so folks know the review is under way?

Thanks,
Ankur
Comment 7 Robin Lee 2012-10-31 03:08:20 EDT
(In reply to comment #6)
> Can you please set the review flag to "?" as required, so folks know the
> review is under way?
Oh, I forgot that. After all it is approved


Approved by cheeselee
Comment 8 Ankur Sinha (FranciscoD) 2012-10-31 03:34:07 EDT
Thanks Robin! :D

New Package SCM Request
=======================
Package Name: xword
Short Description: Reads and writes crossword puzzles in the Across Lite file format
Owners: ankursinha
Branches: f17 f18 
InitialCC:
Comment 9 Jon Ciesla 2012-10-31 07:16:46 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-10-31 07:38:58 EDT
xword-1.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xword-1.0-2.fc18
Comment 11 Fedora Update System 2012-10-31 07:39:45 EDT
xword-1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xword-1.0-2.fc17
Comment 12 Fedora Update System 2012-10-31 14:08:12 EDT
xword-1.0-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2012-11-23 02:47:14 EST
xword-1.0-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2012-12-03 23:59:40 EST
xword-1.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.